### Hierarchy

- Zlib
  - BrotliCompress
  - BrotliDecompress
  - Gzip
  - Gunzip
  - Deflate
  - Inflate
  - DeflateRaw
  - InflateRaw
  - Unzip

## Index

### Properties

- bytesRead
- bytesWritten
- shell

### Methods

- close
- flush

## Properties

### bytesRead

bytesRead: number

- Defined in node_modules/@types/node/zlib.d.ts:47

deprecated

  Use bytesWritten instead.

### bytesWritten

bytesWritten: number

- Defined in node_modules/@types/node/zlib.d.ts:48

### Optional shell

shell: boolean | string

- Defined in node_modules/@types/node/zlib.d.ts:49

## Methods

### close

- close(callback?: undefined | function): void

- - Defined in node_modules/@types/node/zlib.d.ts:50

  #### Parameters

  - ##### Optional callback: undefined | function

  #### Returns void

### flush

- flush(kind?: number | function, callback?: undefined | function): void

- - Defined in node_modules/@types/node/zlib.d.ts:51

  #### Parameters

  - ##### Optional kind: number | function

  - ##### Optional callback: undefined | function

  #### Returns void

Generated using TypeDoc